Debian Bug report logs - #340349
RM: openldap2.2 -- RoQA; superseded by openldap2.3; RC-buggy (non-free content)

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Torsten Landschoff <torsten@debian.org>

Date: Tue, 22 Nov 2005 22:03:04 UTC

Severity: serious

Merged with 378693

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: submit@bugs.debian.org
Subject: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Tue, 22 Nov 2005 22:51:20 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

Hey Maintainers!

I am very sorry but I'll have to give away maintainership of OpenLDAP as
currently I can't devote the time which is needed to maintaining it. I 
know this is really late and I regret not doing this step earlier. 


The package description is:
 This is the OpenLDAP (Lightweight Directory Access Protocol) standalone
 server (slapd). The server can be used to provide a standalone directory
 service and also includes the slurpd replication server.

OpenLDAP is not an easy package. It's big and it has a track record of 
breaking backward compatibility for new releases. I made a number of 
mistakes in maintaining it and I'd like to help as far as I can. There
are new upstream versions available which I started to package with the
goal of making maintaining easier but it's still not ready to even be 
uploaded to experimental. 

I am sorry for letting my Debian involvement languish but I hope there 
will be better days in the future. I'll try to keep maintaining my easy
packages but this is just to hefty at this time.

Friendly

	Torsten

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (800, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.13-rc3
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 340349@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Torsten Landschoff <torsten@debian.org>
Cc: 340349@bugs.debian.org
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Tue, 22 Nov 2005 14:15:11 -0800
Torsten Landschoff <torsten@debian.org> writes:

> I am very sorry but I'll have to give away maintainership of OpenLDAP as
> currently I can't devote the time which is needed to maintaining it. I
> know this is really late and I regret not doing this step earlier.

I can't adopt this myself, but I'm willing to be part of a maintenance
team.  I think this would be a very good package to team-maintain, since
as you say it's large and complex and it's also a dependency of quite a
lot of software.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 340349@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Russ Allbery <rra@debian.org>, 340349@bugs.debian.org
Cc: Torsten Landschoff <torsten@debian.org>
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Wed, 23 Nov 2005 14:13:15 +0100
Russ Allbery wrote:
> Torsten Landschoff <torsten@debian.org> writes:
> 
> 
>>I am very sorry but I'll have to give away maintainership of OpenLDAP as
>>currently I can't devote the time which is needed to maintaining it. I
>>know this is really late and I regret not doing this step earlier.
> 
> 
> I can't adopt this myself, but I'm willing to be part of a maintenance
> team.  I think this would be a very good package to team-maintain, since
> as you say it's large and complex and it's also a dependency of quite a
> lot of software.
> 

Hi,

I'm willing to maintain this package, and sure this is a complex package
and I really want to do that in team maintainence.

Is there svn repository and or mailinglist for this package ?

Regards,

Matthijs Mohlmann



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 340349@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: Russ Allbery <rra@debian.org>, 340349@bugs.debian.org, Torsten Landschoff <torsten@debian.org>
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Wed, 23 Nov 2005 15:08:26 +0100
[Message part 1 (text/plain, inline)]
On Wed, Nov 23, 2005 at 02:13:15PM +0100, Matthijs Mohlmann wrote:
 
> I'm willing to maintain this package, and sure this is a complex package
> and I really want to do that in team maintainence.
> 
> Is there svn repository and or mailinglist for this package ?
 
Yes, see

  http://svn.debian.org/svn/pkg-openldap/

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matthijs Mohlmann <matthijs@cacholong.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 340349@bugs.debian.org (full text, mbox):

From: Matthijs Mohlmann <matthijs@cacholong.nl>
To: Torsten Landschoff <torsten@debian.org>, 340349@bugs.debian.org, control@bugs.debian.org
Cc: Russ Allbery <rra@debian.org>
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Fri, 25 Nov 2005 14:06:43 +0100
retitle 340349 ITA: openldap2.2 -- OpenLDAP server (slapd)
thanks

Torsten Landschoff wrote:
> On Wed, Nov 23, 2005 at 02:13:15PM +0100, Matthijs Mohlmann wrote:
>  
> 
>>I'm willing to maintain this package, and sure this is a complex package
>>and I really want to do that in team maintainence.
>>
>>Is there svn repository and or mailinglist for this package ?
> 
>  
> Yes, see
> 
>   http://svn.debian.org/svn/pkg-openldap/
> 
http://svn.debian.org/wsvn/pkg-openldap/ ;)

> Greetings
> 
> 	Torsten

Hi,

As I am not yet a developer (doesn't take that long anymore) and as I
have pretty much experience with ldap, I think I can take this over. So
I retitled the bug to ITA.

Are you willing to sponsor uploads if there is no DD in the maintainer
team ?

Last question about this: What about openldap 2.1.30 ?

Can you add me to the svn repository ?

Regards,

Matthijs Mohlmann



Changed Bug title. Request was from Matthijs Mohlmann <matthijs@cacholong.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 340349@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: 340349@bugs.debian.org
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Tue, 29 Nov 2005 10:34:37 +0100
[Message part 1 (text/plain, inline)]
On Tue, Nov 22, 2005 at 02:15:11PM -0800, Russ Allbery wrote:
> > I am very sorry but I'll have to give away maintainership of OpenLDAP as
> > currently I can't devote the time which is needed to maintaining it. I
> > know this is really late and I regret not doing this step earlier.
> 
> I can't adopt this myself, but I'm willing to be part of a maintenance
> team.  I think this would be a very good package to team-maintain, since
> as you say it's large and complex and it's also a dependency of quite a
> lot of software.
 
Yep, that's right. I think the team could use quite a few persons :)

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 340349@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: Matthijs Mohlmann <matthijs@cacholong.nl>
Cc: Torsten Landschoff <torsten@debian.org>, 340349@bugs.debian.org
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Mon, 05 Dec 2005 13:11:23 -0800
Matthijs Mohlmann <matthijs@cacholong.nl> writes:
> Torsten Landschoff wrote:
>> On Wed, Nov 23, 2005 at 02:13:15PM +0100, Matthijs Mohlmann wrote:

>>> I'm willing to maintain this package, and sure this is a complex package
>>> and I really want to do that in team maintainence.

>>> Is there svn repository and or mailinglist for this package ?

I see the SVN repository now, but is there a mailing list?  It seems like
one would be worthwhile.

> As I am not yet a developer (doesn't take that long anymore) and as I
> have pretty much experience with ldap, I think I can take this over. So
> I retitled the bug to ITA.

> Are you willing to sponsor uploads if there is no DD in the maintainer
> team ?

I can sponsor uploads, although it would be good to have multiple people
who are capable of doing that in case one of us gets busy.  I work with
one of the OpenLDAP core team members, and I'm going to try to get him
involved in the package maintenance as well.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#340349; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 340349@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Russ Allbery <rra@debian.org>
Cc: Matthijs Mohlmann <matthijs@cacholong.nl>, 340349@bugs.debian.org
Subject: Re: Bug#340349: RFA: openldap2.2 -- OpenLDAP server (slapd)
Date: Mon, 5 Dec 2005 23:34:06 +0100
[Message part 1 (text/plain, inline)]
Hi *, 

On Mon, Dec 05, 2005 at 01:11:23PM -0800, Russ Allbery wrote:
> >>> I'm willing to maintain this package, and sure this is a complex package
> >>> and I really want to do that in team maintainence.
> 
> >>> Is there svn repository and or mailinglist for this package ?
> 
> I see the SVN repository now, but is there a mailing list?  It seems like
> one would be worthwhile.

pkg-openldap-devel@lists.alioth.debian.org

> > Are you willing to sponsor uploads if there is no DD in the maintainer
> > team ?
> 
> I can sponsor uploads, although it would be good to have multiple people
> who are capable of doing that in case one of us gets busy.  I work with
> one of the OpenLDAP core team members, and I'm going to try to get him
> involved in the package maintenance as well.
 
I could do uploads as well for the time being.

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Matthijs Mohlmann <matthijs@cacholong.nl>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Matthijs Mohlmann <matthijs@cacholong.nl>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 340349 378693. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Torsten Landschoff <torsten@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 340349-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 340349-close@bugs.debian.org
Cc: openldap2.2@packages.debian.org, openldap2.2@packages.qa.debian.org
Subject: Bug#340349: fixed
Date: Thu, 27 Jul 2006 15:09:48 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libldap-2.2-7 |   2.2.26-5 | alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
libldap-2.2-7 | 2.2.26-5.0.1 | m68k
openldap2.2 |   2.2.26-5 | source

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 340349@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 06:40:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:07:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.